netatalk: dir Struct Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
dir Struct Reference

`#include <directory.h>`

## Data Fields
bstring | d_fullpath
bstring | d_m_name
bstring | d_u_name
ucs2_t * | d_m_name_ucs2
qnode_t * | qidx_node
void * | dcache_rfork_buf
qnode_t * | rfork_lru_node
time_t | d_ctime
time_t | dcache_ctime
ino_t | dcache_ino
time_t | dcache_mtime
off_t | dcache_size
off_t | dcache_rlen
int | d_flags
cnid_t | d_pdid
cnid_t | d_did
uint32_t | d_offcnt
uint32_t | d_rights_cache
mode_t | dcache_mode
uid_t | dcache_uid
gid_t | dcache_gid
uint16_t | d_vid
uint8_t | arc_list
uint8_t | dcache_afpfilei [4]
uint8_t | dcache_finderinfo [32]
uint8_t | dcache_filedatesi [16]

## Field Documentation

## ◆ arc_list

uint8_t dir::arc_list

Which ARC list: 0=NONE, 1=T1, 2=T2, 3=B1, 4=B2

## ◆ d_ctime

time_t dir::d_ctime

inode ctime, used and modified by reenumeration

## ◆ d_did

cnid_t dir::d_did

CNID of directory

## ◆ d_flags

int dir::d_flags

directory flags

## ◆ d_fullpath

bstring dir::d_fullpath

complete unix path to dir (or file)

## ◆ d_m_name

bstring dir::d_m_name

mac name

## ◆ d_m_name_ucs2

ucs2_t* dir::d_m_name_ucs2

mac name as UCS2

## ◆ d_offcnt

uint32_t dir::d_offcnt

offspring count

## ◆ d_pdid

cnid_t dir::d_pdid

CNID of parent directory

## ◆ d_rights_cache

uint32_t dir::d_rights_cache

cached rights combined from mode and possible ACL. Validate dcache_ctime == st_ctime before use! Value 0xffffffff indicates invalid/unset.

## ◆ d_u_name

bstring dir::d_u_name

unix name

## ◆ d_vid

uint16_t dir::d_vid

only needed in the dircache, because we put all directories in one cache.

## ◆ dcache_afpfilei

uint8_t dir::dcache_afpfilei[4]

ADEID_AFPFILEI: AFP attributes

## ◆ dcache_ctime

time_t dir::dcache_ctime

inode ctime, used and modified by dircache

## ◆ dcache_filedatesi

uint8_t dir::dcache_filedatesi[16]

ADEID_FILEDATESI: create/modify/backup dates (SERVED values)

## ◆ dcache_finderinfo

uint8_t dir::dcache_finderinfo[32]

ADEID_FINDERI: Finder info

## ◆ dcache_gid

gid_t dir::dcache_gid

st_gid: owner group ID

## ◆ dcache_ino

ino_t dir::dcache_ino

inode number, used to detect changes in the dircache

## ◆ dcache_mode

mode_t dir::dcache_mode

st_mode: file type + permissions

## ◆ dcache_mtime

time_t dir::dcache_mtime

st_mtime: modification time

## ◆ dcache_rfork_buf

void* dir::dcache_rfork_buf

malloc'd rfork data, or NULL

## ◆ dcache_rlen

off_t dir::dcache_rlen

Cached resource fork length. -1 = not yet loaded (triggers ad_metadata on first access), -2 = confirmed no AD exists (avoids repeated getxattr ENOENT), >= 0 = AD loaded and cached resource fork length value.

## ◆ dcache_size

off_t dir::dcache_size

st_size: file size (for FILPBIT_DFLEN)

## ◆ dcache_uid

uid_t dir::dcache_uid

st_uid: owner user ID

## ◆ qidx_node

qnode_t* dir::qidx_node

pointer to position in queue index

## ◆ rfork_lru_node

qnode_t* dir::rfork_lru_node

position in rfork LRU list, or NULL

The documentation for this struct was generated from the following file:

- include/atalk/directory.h